Bug 1886338 (CVE-2020-26519) - CVE-2020-26519 mupdf: heap based buffer over-write when parsing JBIG2 files allows DoS
Summary: CVE-2020-26519 mupdf: heap based buffer over-write when parsing JBIG2 files a...
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2020-26519
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1886339
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-08 08:44 UTC by Marian Rehak
Modified: 2020-10-25 01:19 UTC (History)
1 user (show)

Fixed In Version: mupdf 1.18.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-08 14:21:18 UTC


Attachments (Terms of Use)

Description Marian Rehak 2020-10-08 08:44:42 UTC
Artifex MuPDF before 1.18.0 has a heap based buffer over-write when parsing JBIG2 files allowing attackers to cause a denial of service.

Reference:

https://bugs.ghostscript.com/show_bug.cgi?id=702937

Comment 1 Marian Rehak 2020-10-08 08:45:30 UTC
Created mupdf tracking bugs for this issue:

Affects: fedora-all [bug 1886339]

Comment 2 Product Security DevOps Team 2020-10-08 14:21:18 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.

Comment 3 Fedora Update System 2020-10-09 16:41:11 UTC
FEDORA-2020-636624ecb6 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2020-10-23 22:09:02 UTC
FEDORA-2020-972ad7c8a8 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 5 Fedora Update System 2020-10-25 01:19:15 UTC
FEDORA-2020-3cea1ac8f3 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.